# $Revision: 1.30 $, $Date: 2002/09/30 15:58:52 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Mail
%define	pnam	Sender
Summary:	Mail::Sender Perl module
Summary(cs):	Modul Mail::Sender pro Perl
Summary(da):	Perlmodul Mail::Sender
Summary(de):	Mail::Sender Perl Modul
Summary(es):	Mdulo de Perl Mail::Sender
Summary(fr):	Module Perl Mail::Sender
Summary(it):	Modulo di Perl Mail::Sender
Summary(ja):	Mail::Sender Perl ⥸塼
Summary(ko):	Mail::Sender  
Summary(no):	Perlmodul Mail::Sender
Summary(pl):	Modu Perla Mail::Sender
Summary(pt):	Mdulo de Perl Mail::Sender
Summary(pt_BR):	Mdulo Perl Mail::Sender
Summary(ru):	  Perl Mail::Sender
Summary(sv):	Mail::Sender Perlmodul
Summary(uk):	  Perl Mail::Sender
Summary(zh_CN):	Mail::Sender Perl ģ
Name:		perl-Mail-Sender
Version:	0.8.00
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	perl-MIME-Base64
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(Mail::Sender.config)'

%description
Mail::Sender is a module for sending mails with attachments through an
SMTP server.

%description -l pl
Mail::Sender jest moduem sucym do wysyania poczty z zacznikami
przez serwer SMTP.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make} </dev/null
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/Mail/Sender.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All below listed persons can be reached on <cvs_login>@pld.org.pl

$Log: perl-Mail-Sender.spec,v $
Revision 1.30  2002/09/30 15:58:52  ankry

_noautoreq perl(Mail::Sender.config)

Revision 1.29  2002/09/27 14:09:02  ankry
- added tests, translations; cleaning
- version 0.8.00, rel. 1
TODO: configure in %%post

Revision 1.28  2002/07/20 20:34:17  qboosh
- updated to 0.7.14.1

Revision 1.27  2002/07/12 09:04:38  qboosh
- new %%doc and cosmetics

Revision 1.26  2002/07/11 08:01:18  depesz
- new version; should work; STBR

Revision 1.25  2002/07/10 08:48:00  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.24  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.23  2002/02/25 10:32:46  depesz
cleanup; revision++

Revision 1.22  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.21  2002/02/19 11:23:08  depesz
- new version, STBR

Revision 1.20  2002/02/13 14:18:15  depesz
automatic: Source location unified, Relase Up

Revision 1.19  2002/02/10 15:28:23  depesz
adapterized

Revision 1.18  2002/01/18 02:14:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/07/25 09:09:56  mis
- autoupdated to 0.7.10

Revision 1.16  2001/06/29 16:28:23  mis
- autoupdated to 0.7.09

Revision 1.15  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.14  2001/04/17 12:12:20  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.13  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.12  2001/04/10 19:33:00  mis
- autoupdated to 0.7.08

Revision 1.11  2001/02/20 15:54:57  mis
- updated (by autoup) to 0.7.06

Revision 1.10  2001/01/11 02:10:11  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.9  2000/10/11 06:30:12  depesz
najnowsze wersje.
